petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchReset

Undoes the SNESLineSearchSetUp() and deletes any Vecs or Mats allocated by the line search.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchReset(SNESLineSearch linesearch)

Collective on SNESLineSearch Many br

### Input Parameters

linesearch -The LineSearch instance. Many br

Notes: Usually only called by SNESReset() Many br

Many br

### Keywords

SNESLineSearch, Reset

### See Also

SNESLineSearchSetUp()

Level:developer
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages